<?php

namespace Drp\IOEngage\Facades;

use Drp\IOEngage\Tests\Fakes\TokenFake;
use Drp\IOEngage\TokenManager;
use Illuminate\Support\Facades\Facade;

/**
 * @method \Drp\IOEngage\Token get(): self
 */
class Token extends Facade
{
    public static function fake(): TokenFake
    {
        static::swap($fake = new TokenFake());

        return $fake;
    }

    protected static function getFacadeAccessor(): string
    {
        return TokenManager::class;
    }
}
