<?php

namespace Drp\IOEngage\Tests\Unit\Resources;

use Drp\IOEngage\Resources\Address;
use Drp\IOEngage\Resources\InvalidDelegate;
use Drp\IOEngage\Tests\TestCase;

class InvalidDelegateTest extends TestCase
{
    /** @test **/
    public function can_be_constructed()
    {
        $invalidDelegate = new InvalidDelegate([
            'OneKeyID' => 'WUKA0002117A',
            'message' => 'Not Found',
            'code' => 404,
        ]);

        $this->assertSame('WUKA0002117A', $invalidDelegate->identifier);
        $this->assertSame('Not Found', $invalidDelegate->message);
        $this->assertSame(404, $invalidDelegate->code);
    }
}
